# Class MapStyle

java.lang.Object
com.codename1.maps.vector.MapStyle

public final class MapStyle extends Object
An ordered list of `StyleLayer` rules plus a background color, describing how a vector tile is painted. The built-in `light()` and `dark()` styles target the common OpenMapTiles/Protomaps source-layer names and also the simplified names used by the bundled screenshot fixtures, so they render real basemaps and the offline fixtures alike.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapStyle(String name, int backgroundColor)`
  Creates an empty style with the given background color (0xAARRGGBB).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MapStyle`
  `add(StyleLayer layer)`
  Appends a layer rule (rendered in insertion order, bottom to top).
  `static MapStyle`
  `dark()`
  A dark basemap suited to night mode.
  `static MapStyle`
  `fromJson(String json)`
  Parses a (subset of a) MapLibre GL style JSON document.
  `int`
  `getBackgroundColor()`
  The viewport background color as 0xAARRGGBB.
  `String`
  `getName()`
  The style name.
  `static MapStyle`
  `light()`
  A clean light basemap (sensible default for most apps).

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapStyle

    public MapStyle(String name, int backgroundColor)
    Creates an empty style with the given background color (0xAARRGGBB).

- ## Method Details

  - ### getName

    public String getName()
    The style name.

  - ### getBackgroundColor

    public int getBackgroundColor()
    The viewport background color as 0xAARRGGBB.

  - ### add

    public MapStyle add(StyleLayer layer)
    Appends a layer rule (rendered in insertion order, bottom to top).

  - ### light

    public static MapStyle light()

    A clean light basemap (sensible default for most apps).

    Every colour falls back to the value baked in here but is overridable through a theme constant (a CSS color string) so an app can recolour the map without supplying a whole style: `mapLightWaterColor`, `mapLightLandcoverColor`, `mapLightLanduseColor`, `mapLightParkColor`, `mapLightRoadColor`, `mapLightBuildingColor`, `mapLightBackgroundColor`, `mapLightLabelColor`, `mapLightLabelHaloColor`. e.g. a theme constant `mapLightWaterColor=#1e88e5`.

  - ### dark

    public static MapStyle dark()
    A dark basemap suited to night mode. Mirrors `light()`: each colour is overridable via a theme constant (`mapDarkWaterColor`, `mapDarkLandcoverColor`, `mapDarkLanduseColor`, `mapDarkParkColor`, `mapDarkRoadColor`, `mapDarkBuildingColor`, `mapDarkBackgroundColor`, `mapDarkLabelColor`, `mapDarkLabelHaloColor`).

  - ### fromJson

    public static MapStyle fromJson(String json)
    Parses a (subset of a) MapLibre GL style JSON document. Recognized: the top-level `layers` array with `type` of `background`/`fill`/ `line`/`symbol`, each layer's `source-layer`, `minzoom`/`maxzoom`, a simple `["==", key, value]` filter, and the common paint/layout properties (`background-color`, `fill-color`, `line-color`, `line-width`, `text-field`, `text-color`, `text-size`). Unsupported constructs are ignored rather than failing.